
package de.ivu.elect.presentation.wahlrechtspruefung.exchange;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.wahlrechtspruefung.menu.PruefkriteriumPageMenu;

public class PruefkriteriumExportDescription implements ExportDescription {

  private static final long serialVersionUID = 1L;

  @Override
  public String getExportSearchViewId() {
    return PruefkriteriumExportSearchView.VIEW_ID;
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return DateiExportArt.PRUEFKRITERIEN_EXPORT;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.PRUEFKRITERIUM_EXPORT;
  }

  @Override
  public String getPageMenuComponentName() {
    return PruefkriteriumPageMenu.COMPONENT_NAME;
  }

  @Override
  public boolean isSpecificPerWahl() {
    return true;
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return false;
  }
}
